
CREATE TABLE ${DB_COMMON}.AR_ADJ_CBS
(
    ADJ_ID VARCHAR(534),
    COMP_CODE VARCHAR(2),
    CO_PARTY_ID VARCHAR(18),
    ADJ_DT DATE NOT NULL,
    SBSCRPN_ID NUMERIC(20,0),
    SUBR_NUMB VARCHAR(30),
    ADJ_TYPE_CD VARCHAR(28),
    ADJ_TYPE_SRC_CD VARCHAR(28),
    ADJ_TYPE_DESC VARCHAR(255),
    ADJ_RSN_TYPE_CD_VAL VARCHAR(36),
    ADJ_RSN_TYPE_DESC VARCHAR(255),
    ADJ_RSN_CAT VARCHAR(34),
    CRTD_BY_PARTY_ID VARCHAR(50),
    CRTD_BY VARCHAR(64),
    LOCN_CODE_PARTY_ID VARCHAR(50),
    LOCN_CD VARCHAR(128),
    LOCN_NM VARCHAR(765),
    BRNC_CD VARCHAR(1024),
    BRNC_NM VARCHAR(765),
    ADJ_NUMB VARCHAR(532),
    DCMNT_TYPE_CD VARCHAR(30),
    DCMNT_TYPE_SRC_CD VARCHAR(30),
    DCMNT_TYPE_DESC VARCHAR(750),
    ADJ_DRCT VARCHAR(68),
    INV_ID NUMERIC(22,2),
    HOST_INV_NUM VARCHAR(84),
    INV_RSN_DTL_TYPE_CD VARCHAR(28),
    INV_RSN_TYPE_DESC VARCHAR(255),
    REMK VARCHAR(255),
    BLPD_CODE VARCHAR(4),
    BILL_PRD VARCHAR(12),
    ADJ_AMT NUMERIC(38,5),
    ADJ_VAT NUMERIC(18,4),
    TMP_DIV NUMERIC(38,5),
    VAT_RATE NUMERIC(8,1),
    USG_SRVC_PROD_ID VARCHAR(255),
    CDR_TYPE VARCHAR(100),
    ADJ_TYPE VARCHAR(6),
    USG_SRVC_PROD_SRC_CD VARCHAR(15),
    USG_SRVC_PROD_SRC_NM VARCHAR(765),
    CUST_NUMB INT,
    TITL VARCHAR(150),
    FRST_NAME VARCHAR(240),
    LAST_NAME VARCHAR(600),
    EDW_CRTD_BY_PARTY_ID VARCHAR(44),
    EDW_LOCN_CODE_PARTY_ID VARCHAR(44),
    EDW_USG_SRVC_PROD_ID VARCHAR(30),
    BUSINESS_DATE       DATE        ,
    EXECUTION_ID        INTEGER     ,
    PROCESS_NAME        VARCHAR(600),
    DW_LAST_UPDATE_TIME TIMESTAMP(0)
);

